Index: cpukit/rtems/include/rtems.h
===================================================================
--- cpukit/rtems/include/rtems.h	(revision da6375babd4c6268c4cfc595c06e89f348831d14)
+++ cpukit/rtems/include/rtems.h	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
@@ -25,4 +25,6 @@
 
 #include <rtems/system.h>
+#include <rtems/types.h>
+
 #include <rtems/init.h>
 #include <rtems/tasks.h>
@@ -44,29 +46,5 @@
 #include <rtems/mp.h>
 
-/*
- *  RTEMS basic type definitions
- */
-
-typedef unsigned8       rtems_unsigned8;  /* unsigned 8-bit value  */
-typedef unsigned16      rtems_unsigned16; /* unsigned 16-bit value */
-typedef unsigned32      rtems_unsigned32; /* unsigned 32-bit value */
-typedef unsigned64      rtems_unsigned64; /* unsigned 64-bit value */
-
-typedef signed8         rtems_signed8;    /* signed 8-bit value  */
-typedef signed16        rtems_signed16;   /* signed 16-bit value */
-typedef signed32        rtems_signed32;   /* signed 32-bit value */
-typedef signed64        rtems_signed64;   /* signed 64-bit value */
-
-typedef single_precision rtems_single;    /* single precision float */
-typedef double_precision rtems_double;    /* double precision float */
-
-typedef boolean                    rtems_boolean;
-
-typedef Objects_Name               rtems_name;
-typedef Objects_Id                 rtems_id;
-
-typedef Context_Control            rtems_context;
-typedef Context_Control_fp         rtems_context_fp;
-typedef CPU_Interrupt_frame        rtems_interrupt_frame;
+#include <rtems/support.h>
 
 #define RTEMS_HAS_HARDWARE_FP CPU_HARDWARE_FP
Index: cpukit/rtems/include/rtems/rtems/dpmem.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/dpmem.h	(revision da6375babd4c6268c4cfc595c06e89f348831d14)
+++ cpukit/rtems/include/rtems/rtems/dpmem.h	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
@@ -33,4 +33,5 @@
 #endif
 
+#include <rtems.h>
 #include <rtems/object.h>
 
@@ -79,5 +80,5 @@
 
 rtems_status_code rtems_port_create(
-  Objects_Name  name,
+  rtems_name    name,
   void         *internal_start,
   void         *external_start,
@@ -97,5 +98,5 @@
 
 rtems_status_code rtems_port_ident(
-  Objects_Name  name,
+  rtems_name    name,
   Objects_Id   *id
 );
Index: cpukit/rtems/include/rtems/rtems/eventmp.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/eventmp.h	(revision da6375babd4c6268c4cfc595c06e89f348831d14)
+++ cpukit/rtems/include/rtems/rtems/eventmp.h	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
@@ -44,7 +44,7 @@
 
 typedef struct {
-  rtems_packet_prefix           Prefix;
-  Event_MP_Remote_operations operation;
-  rtems_event_set         event_in;
+  rtems_packet_prefix         Prefix;
+  Event_MP_Remote_operations  operation;
+  rtems_event_set             event_in;
 }   Event_MP_Packet;
 
Index: cpukit/rtems/include/rtems/rtems/message.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/message.h	(revision da6375babd4c6268c4cfc595c06e89f348831d14)
+++ cpukit/rtems/include/rtems/rtems/message.h	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
@@ -35,4 +35,5 @@
 #endif
 
+#include <rtems/types.h>
 #include <rtems/chain.h>
 #include <rtems/object.h>
@@ -130,5 +131,5 @@
 
 rtems_status_code rtems_message_queue_create(
-  Objects_Name     name,
+  rtems_name       name,
   unsigned32       count,
   unsigned32       max_message_size,
@@ -152,5 +153,5 @@
 
 rtems_status_code rtems_message_queue_ident(
-  Objects_Name  name,
+  rtems_name    name,
   unsigned32    node,
   Objects_Id   *id
Index: cpukit/rtems/include/rtems/rtems/msgmp.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/msgmp.h	(revision da6375babd4c6268c4cfc595c06e89f348831d14)
+++ cpukit/rtems/include/rtems/rtems/msgmp.h	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
@@ -58,5 +58,5 @@
   rtems_packet_prefix                Prefix;
   Message_queue_MP_Remote_operations operation;
-  Objects_Name                       name;
+  rtems_name                         name;
   rtems_option                       option_set;
   Objects_Id                         proxy_id;
@@ -79,5 +79,5 @@
   Message_queue_MP_Remote_operations operation,
   Objects_Id                         message_queue_id,
-  Objects_Name                       name,
+  rtems_name                         name,
   Objects_Id                         proxy_id
 );
Index: cpukit/rtems/include/rtems/rtems/part.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/part.h	(revision da6375babd4c6268c4cfc595c06e89f348831d14)
+++ cpukit/rtems/include/rtems/rtems/part.h	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
@@ -32,4 +32,5 @@
 #endif
 
+#include <rtems.h>
 #include <rtems/address.h>
 #include <rtems/attr.h>
@@ -84,5 +85,5 @@
 
 rtems_status_code rtems_partition_create(
-  Objects_Name        name,
+  rtems_name          name,
   void               *starting_address,
   unsigned32          length,
@@ -107,5 +108,5 @@
 
 rtems_status_code rtems_partition_ident(
-  Objects_Name  name,
+  rtems_name    name,
   unsigned32    node,
   Objects_Id   *id
Index: cpukit/rtems/include/rtems/rtems/partmp.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/partmp.h	(revision da6375babd4c6268c4cfc595c06e89f348831d14)
+++ cpukit/rtems/include/rtems/rtems/partmp.h	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
@@ -49,7 +49,7 @@
 
 typedef struct {
-  rtems_packet_prefix                Prefix;
+  rtems_packet_prefix             Prefix;
   Partition_MP_Remote_operations  operation;
-  Objects_Name                    name;
+  rtems_name                      name;
   void                           *buffer;
   Objects_Id                      proxy_id;
@@ -68,5 +68,5 @@
   Partition_MP_Remote_operations operation,
   Objects_Id                     partition_id,
-  Objects_Name                   name,
+  rtems_name                     name,
   Objects_Id                     proxy_id
 );
Index: cpukit/rtems/include/rtems/rtems/ratemon.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/ratemon.h	(revision da6375babd4c6268c4cfc595c06e89f348831d14)
+++ cpukit/rtems/include/rtems/rtems/ratemon.h	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
@@ -30,4 +30,5 @@
 #endif
 
+#include <rtems.h>
 #include <rtems/object.h>
 #include <rtems/thread.h>
@@ -89,5 +90,5 @@
 
 rtems_status_code rtems_rate_monotonic_create(
-  Objects_Name  name,
+  rtems_name    name,
   Objects_Id   *id
 );
@@ -105,5 +106,5 @@
 
 rtems_status_code rtems_rate_monotonic_ident(
-  Objects_Name  name,
+  rtems_name    name,
   Objects_Id   *id
 );
Index: cpukit/rtems/include/rtems/rtems/region.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/region.h	(revision da6375babd4c6268c4cfc595c06e89f348831d14)
+++ cpukit/rtems/include/rtems/rtems/region.h	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
@@ -31,4 +31,5 @@
 #endif
 
+#include <rtems.h>
 #include <rtems/object.h>
 #include <rtems/threadq.h>
@@ -87,5 +88,5 @@
 
 rtems_status_code rtems_region_create(
-  Objects_Name        name,
+  rtems_name          name,
   void               *starting_address,
   unsigned32          length,
@@ -124,5 +125,5 @@
 
 rtems_status_code rtems_region_ident(
-  Objects_Name  name,
+  rtems_name    name,
   Objects_Id   *id
 );
Index: cpukit/rtems/include/rtems/rtems/regionmp.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/regionmp.h	(revision da6375babd4c6268c4cfc595c06e89f348831d14)
+++ cpukit/rtems/include/rtems/rtems/regionmp.h	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
@@ -49,8 +49,8 @@
 
 typedef struct {
-  rtems_packet_prefix             Prefix;
+  rtems_packet_prefix          Prefix;
   Region_MP_Remote_operations  operation;
-  Objects_Name                 name;
-  rtems_option              option_set;
+  rtems_name                   name;
+  rtems_option                 option_set;
   unsigned32                   size;
   Objects_Id                   proxy_id;
@@ -70,5 +70,5 @@
   Region_MP_Remote_operations operation,
   Objects_Id                  region_id,
-  Objects_Name                name,
+  rtems_name                  name,
   Objects_Id                  proxy_id
 );
Index: cpukit/rtems/include/rtems/rtems/sem.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/sem.h	(revision da6375babd4c6268c4cfc595c06e89f348831d14)
+++ cpukit/rtems/include/rtems/rtems/sem.h	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
@@ -32,4 +32,5 @@
 #endif
 
+#include <rtems.h>
 #include <rtems/attr.h>
 #include <rtems/object.h>
@@ -82,5 +83,5 @@
 
 rtems_status_code rtems_semaphore_create(
-  Objects_Name        name,
+  rtems_name          name,
   unsigned32          count,
   rtems_attribute  attribute_set,
@@ -103,5 +104,5 @@
 
 rtems_status_code rtems_semaphore_ident(
-  Objects_Name  name,
+  rtems_name    name,
   unsigned32    node,
   Objects_Id   *id
Index: cpukit/rtems/include/rtems/rtems/semmp.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/semmp.h	(revision da6375babd4c6268c4cfc595c06e89f348831d14)
+++ cpukit/rtems/include/rtems/rtems/semmp.h	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
@@ -50,9 +50,9 @@
 
 typedef struct {
-  rtems_packet_prefix               Prefix;
-  Semaphore_MP_Remote_operations operation;
-  Objects_Name                   name;
-  rtems_option                option_set;
-  Objects_Id                     proxy_id;
+  rtems_packet_prefix             Prefix;
+  Semaphore_MP_Remote_operations  operation;
+  rtems_name                      name;
+  rtems_option                    option_set;
+  Objects_Id                      proxy_id;
 }   Semaphore_MP_Packet;
 
@@ -69,5 +69,5 @@
   Semaphore_MP_Remote_operations operation,
   Objects_Id                     semaphore_id,
-  Objects_Name                   name,
+  rtems_name                     name,
   Objects_Id                     proxy_id
 );
Index: cpukit/rtems/include/rtems/rtems/signalmp.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/signalmp.h	(revision da6375babd4c6268c4cfc595c06e89f348831d14)
+++ cpukit/rtems/include/rtems/rtems/signalmp.h	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
@@ -44,7 +44,7 @@
 
 typedef struct {
-  rtems_packet_prefix            Prefix;
-  Signal_MP_Remote_operations operation;
-  rtems_signal_set      signal_in;
+  rtems_packet_prefix          Prefix;
+  Signal_MP_Remote_operations  operation;
+  rtems_signal_set             signal_in;
 }   Signal_MP_Packet;
 
Index: cpukit/rtems/include/rtems/rtems/support.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/support.h	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
+++ cpukit/rtems/include/rtems/rtems/support.h	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
@@ -0,0 +1,80 @@
+/*  support.h
+ *
+ *  This include file contains information about support functions for
+ *  the RTEMS API.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#ifndef __RTEMS_RTEMS_SUPPORT_h
+#define __RTEMS_RTEMS_SUPPORT_h
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+#include <rtems/types.h>
+
+/*
+ *  rtems_is_name_valid
+ *
+ *  DESCRIPTION:
+ *
+ *  This function returns TRUE if the name is valid, and FALSE otherwise.
+ */
+
+STATIC INLINE rtems_boolean rtems_is_name_valid (
+  rtems_name  name
+);
+
+/*
+ *  rtems_build_name
+ *
+ *  DESCRIPTION:
+ *
+ *  This function returns an object name composed of the four characters
+ *  C1, C2, C3, and C4.
+ *
+ *  NOTE:
+ *
+ *  This must be implemented as a macro for use in Configuration Tables.
+ *
+ */
+ 
+#define rtems_build_name( _C1, _C2, _C3, _C4 ) \
+  ( (_C1) << 24 | (_C2) << 16 | (_C3) << 8 | (_C4) )
+ 
+/*
+ *  rtems_name_to_characters
+ *
+ *  DESCRIPTION:
+ *
+ *  This function breaks the object name into the four component
+ *  characters C1, C2, C3, and C4.
+ *
+ */
+ 
+STATIC INLINE void rtems_name_to_characters(
+  rtems_name    name,
+  char         *c1,
+  char         *c2,
+  char         *c3,
+  char         *c4
+);
+
+#include <rtems/support.inl>
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif
+/* end of include file */
Index: cpukit/rtems/include/rtems/rtems/taskmp.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/taskmp.h	(revision da6375babd4c6268c4cfc595c06e89f348831d14)
+++ cpukit/rtems/include/rtems/rtems/taskmp.h	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
@@ -55,10 +55,10 @@
 
 typedef struct {
-  rtems_packet_prefix                 Prefix;
-  RTEMS_tasks_MP_Remote_operations operation;
-  Objects_Name                     name;
-  rtems_task_priority                 the_priority;
-  unsigned32                       notepad;
-  unsigned32                       note;
+  rtems_packet_prefix               Prefix;
+  RTEMS_tasks_MP_Remote_operations  operation;
+  rtems_name                        name;
+  rtems_task_priority               the_priority;
+  unsigned32                        notepad;
+  unsigned32                        note;
 }   RTEMS_tasks_MP_Packet;
 
@@ -75,5 +75,5 @@
   RTEMS_tasks_MP_Remote_operations operation,
   Objects_Id                       task_id,
-  Objects_Name                     name
+  rtems_name                       name
 );
 
Index: cpukit/rtems/include/rtems/rtems/tasks.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/tasks.h	(revision da6375babd4c6268c4cfc595c06e89f348831d14)
+++ cpukit/rtems/include/rtems/rtems/tasks.h	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
@@ -39,4 +39,5 @@
 #endif
 
+#include <rtems.h>
 #include <rtems/message.h>
 #include <rtems/object.h>
@@ -75,5 +76,5 @@
 
 rtems_status_code rtems_task_create(
-  Objects_Name        name,
+  rtems_name          name,
   rtems_task_priority    initial_priority,
   unsigned32          stack_size,
@@ -98,5 +99,5 @@
 
 rtems_status_code rtems_task_ident(
-  Objects_Name  name,
+  rtems_name    name,
   unsigned32    node,
   Objects_Id   *id
Index: cpukit/rtems/include/rtems/rtems/timer.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/timer.h	(revision da6375babd4c6268c4cfc595c06e89f348831d14)
+++ cpukit/rtems/include/rtems/rtems/timer.h	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
@@ -34,4 +34,5 @@
 #endif
 
+#include <rtems.h>
 #include <rtems/object.h>
 #include <rtems/tod.h>
@@ -96,5 +97,5 @@
 
 rtems_status_code rtems_timer_create(
-  Objects_Name  name,
+  rtems_name    name,
   Objects_Id   *id
 );
@@ -112,5 +113,5 @@
 
 rtems_status_code rtems_timer_ident(
-  Objects_Name  name,
+  rtems_name    name,
   Objects_Id   *id
 );
Index: cpukit/rtems/include/rtems/rtems/types.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/types.h	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
+++ cpukit/rtems/include/rtems/rtems/types.h	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
@@ -0,0 +1,56 @@
+/*  types.h
+ *
+ *  This include file defines the types used by the RTEMS API.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#ifndef __RTEMS_RTEMS_TYPES_h
+#define __RTEMS_RTEMS_TYPES_h
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+#include <rtems/object.h>
+
+/*
+ *  RTEMS basic type definitions
+ */
+
+typedef unsigned8       rtems_unsigned8;  /* unsigned 8-bit value  */
+typedef unsigned16      rtems_unsigned16; /* unsigned 16-bit value */
+typedef unsigned32      rtems_unsigned32; /* unsigned 32-bit value */
+typedef unsigned64      rtems_unsigned64; /* unsigned 64-bit value */
+
+typedef signed8         rtems_signed8;    /* signed 8-bit value  */
+typedef signed16        rtems_signed16;   /* signed 16-bit value */
+typedef signed32        rtems_signed32;   /* signed 32-bit value */
+typedef signed64        rtems_signed64;   /* signed 64-bit value */
+
+typedef single_precision rtems_single;    /* single precision float */
+typedef double_precision rtems_double;    /* double precision float */
+
+typedef boolean          rtems_boolean;
+
+typedef unsigned32       rtems_name;
+typedef Objects_Id       rtems_id;
+
+typedef Context_Control            rtems_context;
+typedef Context_Control_fp         rtems_context_fp;
+typedef CPU_Interrupt_frame        rtems_interrupt_frame;
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif
+/* end of include file */
Index: cpukit/rtems/inline/rtems/rtems/support.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/support.inl	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
+++ cpukit/rtems/inline/rtems/rtems/support.inl	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
@@ -0,0 +1,54 @@
+/*  support.inl
+ *
+ *  This include file contains the static inline implementation of all
+ *  of the inlined routines specific to the RTEMS API.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+ 
+#ifndef __RTEMS_SUPPORT_inl
+#define __RTEMS_SUPPORT_inl
+
+/*PAGE
+ *
+ *  rtems_is_name_valid
+ *
+ */
+
+STATIC INLINE rtems_boolean rtems_is_name_valid (
+  rtems_name name
+)
+{
+  return ( name != 0 );
+}
+
+/*PAGE
+ *
+ *  rtems_name_to_characters
+ *
+ */
+
+STATIC INLINE void rtems_name_to_characters(
+  rtems_name    name,
+  char         *c1,
+  char         *c2,
+  char         *c3,
+  char         *c4
+)
+{
+  *c1 = (name >> 24) & 0xff;
+  *c2 = (name >> 16) & 0xff;
+  *c3 = (name >> 8) & 0xff;
+  *c4 =  name & 0xff;
+}
+
+#endif
+/* end of include file */
Index: cpukit/rtems/inline/rtems/rtems/tasks.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/tasks.inl	(revision da6375babd4c6268c4cfc595c06e89f348831d14)
+++ cpukit/rtems/inline/rtems/rtems/tasks.inl	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
@@ -17,4 +17,9 @@
 #ifndef __RTEMS_TASKS_inl
 #define __RTEMS_TASKS_inl
+
+#include <rtems/msgmp.h>
+#include <rtems/partmp.h>
+#include <rtems/regionmp.h>
+#include <rtems/semmp.h>
 
 /*PAGE
Index: cpukit/rtems/macros/rtems/rtems/support.inl
===================================================================
--- cpukit/rtems/macros/rtems/rtems/support.inl	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
+++ cpukit/rtems/macros/rtems/rtems/support.inl	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
@@ -0,0 +1,44 @@
+/*  support.inl
+ *
+ *  This include file contains the macros implementation of all
+ *  of the inlined routines specific to the RTEMS API.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+ 
+#ifndef __RTEMS_SUPPORT_inl
+#define __RTEMS_SUPPORT_inl
+
+/*PAGE
+ *
+ *  rtems_is_name_valid
+ *
+ */
+
+#define rtems_is_name_valid( _name ) \
+  ( (_name) != 0 )
+
+/*PAGE
+ *
+ *  rtems_name_to_characters
+ *
+ */
+
+#define rtems_name_to_characters( _name, _c1, _c2, _c3, _c4 ) \
+  { \
+    (*(_c1) = ((_name) >> 24) & 0xff; \
+    (*(_c2) = ((_name) >> 16) & 0xff; \
+    (*(_c3) = ((_name) >> 8) & 0xff; \
+    (*(_c4) = ((_name)) & 0xff; \
+  }
+
+#endif
+/* end of include file */
Index: cpukit/rtems/macros/rtems/rtems/tasks.inl
===================================================================
--- cpukit/rtems/macros/rtems/rtems/tasks.inl	(revision da6375babd4c6268c4cfc595c06e89f348831d14)
+++ cpukit/rtems/macros/rtems/rtems/tasks.inl	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
@@ -17,4 +17,9 @@
 #ifndef __RTEMS_TASKS_inl
 #define __RTEMS_TASKS_inl
+
+#include <rtems/msgmp.h>
+#include <rtems/partmp.h>
+#include <rtems/regionmp.h>
+#include <rtems/semmp.h>
 
 /*PAGE
Index: cpukit/rtems/src/dpmem.c
===================================================================
--- cpukit/rtems/src/dpmem.c	(revision da6375babd4c6268c4cfc595c06e89f348831d14)
+++ cpukit/rtems/src/dpmem.c	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
@@ -14,4 +14,5 @@
 
 #include <rtems/system.h>
+#include <rtems/support.h>
 #include <rtems/address.h>
 #include <rtems/dpmem.h>
@@ -37,9 +38,11 @@
 {
   _Objects_Initialize_information(
-     &_Dual_ported_memory_Information,
-     OBJECTS_RTEMS_PORTS,
-     FALSE,
-     maximum_ports,
-     sizeof( Dual_ported_memory_Control )
+    &_Dual_ported_memory_Information,
+    OBJECTS_RTEMS_PORTS,
+    FALSE,
+    maximum_ports,
+    sizeof( Dual_ported_memory_Control ),
+    FALSE,
+    RTEMS_MAXIMUM_NAME_LENGTH
   );
 }
@@ -65,5 +68,5 @@
 
 rtems_status_code rtems_port_create(
-  Objects_Name  name,
+  rtems_name    name,
   void         *internal_start,
   void         *external_start,
@@ -74,5 +77,5 @@
   register Dual_ported_memory_Control *the_port;
 
-  if ( !_Objects_Is_name_valid( name) )
+  if ( !rtems_is_name_valid( name) )
     return ( RTEMS_INVALID_NAME );
 
@@ -94,6 +97,10 @@
   the_port->length        = length - 1;
 
-  _Objects_Open( &_Dual_ported_memory_Information,
-                 &the_port->Object, name );
+  _Objects_Open( 
+    &_Dual_ported_memory_Information,
+    &the_port->Object,
+    &name
+  );
+
   *id = the_port->Object.id;
   _Thread_Enable_dispatch();
@@ -119,5 +126,5 @@
 
 rtems_status_code rtems_port_ident(
-  Objects_Name  name,
+  rtems_name    name,
   Objects_Id   *id
 )
@@ -126,5 +133,5 @@
     _Objects_Name_to_id(
       &_Dual_ported_memory_Information,
-      name,
+      &name,
       RTEMS_SEARCH_ALL_NODES,
       id
Index: cpukit/rtems/src/msg.c
===================================================================
--- cpukit/rtems/src/msg.c	(revision da6375babd4c6268c4cfc595c06e89f348831d14)
+++ cpukit/rtems/src/msg.c	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
@@ -23,4 +23,5 @@
 #include <rtems/options.h>
 #include <rtems/states.h>
+#include <rtems/support.h>
 #include <rtems/thread.h>
 #include <rtems/wkspace.h>
@@ -49,5 +50,7 @@
     TRUE,
     maximum_message_queues,
-    sizeof( Message_queue_Control )
+    sizeof( Message_queue_Control ),
+    FALSE,
+    RTEMS_MAXIMUM_NAME_LENGTH
   );
 }
@@ -131,5 +134,5 @@
 
 rtems_status_code rtems_message_queue_create(
-  Objects_Name        name,
+  rtems_name          name,
   unsigned32          count,
   unsigned32          max_message_size,
@@ -140,5 +143,5 @@
   register Message_queue_Control *the_message_queue;
 
-  if ( !_Objects_Is_name_valid( name ) )
+  if ( !rtems_is_name_valid( name ) )
     return ( RTEMS_INVALID_NAME );
 
@@ -195,6 +198,9 @@
                             STATES_WAITING_FOR_MESSAGE );
 
-  _Objects_Open( &_Message_queue_Information,
-                 &the_message_queue->Object, name );
+  _Objects_Open(
+    &_Message_queue_Information,
+    &the_message_queue->Object,
+    &name
+  );
 
   *id = the_message_queue->Object.id;
@@ -231,11 +237,15 @@
 
 rtems_status_code rtems_message_queue_ident(
-  Objects_Name  name,
+  rtems_name    name,
   unsigned32    node,
   Objects_Id   *id
 )
 {
-  return( _Objects_Name_to_id( &_Message_queue_Information, name,
-                               node, id ) );
+  return _Objects_Name_to_id( 
+    &_Message_queue_Information,
+    &name,
+    node,
+    id 
+  );
 }
 
Index: cpukit/rtems/src/msgmp.c
===================================================================
--- cpukit/rtems/src/msgmp.c	(revision da6375babd4c6268c4cfc595c06e89f348831d14)
+++ cpukit/rtems/src/msgmp.c	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
@@ -33,5 +33,5 @@
   Message_queue_MP_Remote_operations  operation,
   Objects_Id                          message_queue_id,
-  Objects_Name                        name,
+  rtems_name                          name,
   Objects_Id                          proxy_id
 )
@@ -435,5 +435,5 @@
     MESSAGE_QUEUE_MP_EXTRACT_PROXY,
     the_thread->Wait.id,
-    (Objects_Name) 0,
+    (rtems_name) 0,
     the_thread->Object.id
   );
Index: cpukit/rtems/src/part.c
===================================================================
--- cpukit/rtems/src/part.c	(revision da6375babd4c6268c4cfc595c06e89f348831d14)
+++ cpukit/rtems/src/part.c	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
@@ -15,4 +15,5 @@
 
 #include <rtems/system.h>
+#include <rtems/support.h>
 #include <rtems/address.h>
 #include <rtems/config.h>
@@ -43,5 +44,7 @@
     TRUE,
     maximum_partitions,
-    sizeof( Partition_Control )
+    sizeof( Partition_Control ),
+    FALSE,
+    RTEMS_MAXIMUM_NAME_LENGTH
   );
 
@@ -70,5 +73,5 @@
 
 rtems_status_code rtems_partition_create(
-  Objects_Name        name,
+  rtems_name          name,
   void               *starting_address,
   unsigned32          length,
@@ -80,5 +83,5 @@
   register Partition_Control *the_partition;
 
-  if ( !_Objects_Is_name_valid( name ) )
+  if ( !rtems_is_name_valid( name ) )
     return ( RTEMS_INVALID_NAME );
 
@@ -119,5 +122,5 @@
                         length / buffer_size, buffer_size );
 
-  _Objects_Open( &_Partition_Information, &the_partition->Object, name );
+  _Objects_Open( &_Partition_Information, &the_partition->Object, &name );
 
   *id = the_partition->Object.id;
@@ -153,10 +156,10 @@
 
 rtems_status_code rtems_partition_ident(
-  Objects_Name  name,
+  rtems_name    name,
   unsigned32    node,
   Objects_Id   *id
 )
 {
-  return( _Objects_Name_to_id( &_Partition_Information, name, node, id ) );
+  return _Objects_Name_to_id( &_Partition_Information, &name, node, id );
 }
 
Index: cpukit/rtems/src/partmp.c
===================================================================
--- cpukit/rtems/src/partmp.c	(revision da6375babd4c6268c4cfc595c06e89f348831d14)
+++ cpukit/rtems/src/partmp.c	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
@@ -31,5 +31,5 @@
   Partition_MP_Remote_operations  operation,
   Objects_Id                      partition_id,
-  Objects_Name                    name,
+  rtems_name                      name,
   Objects_Id                      proxy_id
 )
@@ -281,5 +281,5 @@
     PARTITION_MP_EXTRACT_PROXY,
     the_thread->Wait.id,
-    (Objects_Name) 0,
+    (rtems_name) 0,
     the_thread->Object.id
   );
Index: cpukit/rtems/src/ratemon.c
===================================================================
--- cpukit/rtems/src/ratemon.c	(revision da6375babd4c6268c4cfc595c06e89f348831d14)
+++ cpukit/rtems/src/ratemon.c	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
@@ -15,4 +15,5 @@
 
 #include <rtems/system.h>
+#include <rtems/support.h>
 #include <rtems/isr.h>
 #include <rtems/object.h>
@@ -41,9 +42,11 @@
 {
   _Objects_Initialize_information(
-     &_Rate_monotonic_Information,
-     OBJECTS_RTEMS_PERIODS,
-     FALSE,
-     maximum_periods,
-     sizeof( Rate_monotonic_Control )
+    &_Rate_monotonic_Information,
+    OBJECTS_RTEMS_PERIODS,
+    FALSE,
+    maximum_periods,
+    sizeof( Rate_monotonic_Control ),
+    FALSE,
+    RTEMS_MAXIMUM_NAME_LENGTH
   );
 }
@@ -67,5 +70,5 @@
 
 rtems_status_code rtems_rate_monotonic_create(
-  Objects_Name  name,
+  rtems_name    name,
   Objects_Id   *id
 )
@@ -73,5 +76,5 @@
   Rate_monotonic_Control *the_period;
 
-  if ( !_Objects_Is_name_valid( name ) )
+  if ( !rtems_is_name_valid( name ) )
     return( RTEMS_INVALID_NAME );
 
@@ -88,5 +91,5 @@
   the_period->state = RATE_MONOTONIC_INACTIVE;
 
-  _Objects_Open( &_Rate_monotonic_Information, &the_period->Object, name );
+  _Objects_Open( &_Rate_monotonic_Information, &the_period->Object, &name );
 
   *id = the_period->Object.id;
@@ -113,5 +116,5 @@
 
 rtems_status_code rtems_rate_monotonic_ident(
-  Objects_Name  name,
+  rtems_name    name,
   Objects_Id   *id
 )
@@ -119,5 +122,5 @@
   return _Objects_Name_to_id(
     &_Rate_monotonic_Information,
-    name,
+    &name,
     RTEMS_SEARCH_LOCAL_NODE,
     id
Index: cpukit/rtems/src/region.c
===================================================================
--- cpukit/rtems/src/region.c	(revision da6375babd4c6268c4cfc595c06e89f348831d14)
+++ cpukit/rtems/src/region.c	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
@@ -15,4 +15,5 @@
 
 #include <rtems/system.h>
+#include <rtems/support.h>
 #include <rtems/config.h>
 #include <rtems/object.h>
@@ -39,10 +40,12 @@
 {
   _Objects_Initialize_information(
-     &_Region_Information,
-     OBJECTS_RTEMS_REGIONS,
-     FALSE,
-     maximum_regions,
-     sizeof( Region_Control )
-   );
+    &_Region_Information,
+    OBJECTS_RTEMS_REGIONS,
+    FALSE,
+    maximum_regions,
+    sizeof( Region_Control ),
+    FALSE,
+    RTEMS_MAXIMUM_NAME_LENGTH
+  );
 }
 
@@ -69,5 +72,5 @@
 
 rtems_status_code rtems_region_create(
-  Objects_Name        name,
+  rtems_name          name,
   void               *starting_address,
   unsigned32          length,
@@ -79,5 +82,5 @@
   Region_Control *the_region;
 
-  if ( !_Objects_Is_name_valid( name ) )
+  if ( !rtems_is_name_valid( name ) )
     return ( RTEMS_INVALID_NAME );
 
@@ -112,5 +115,5 @@
      &the_region->Wait_queue, attribute_set, STATES_WAITING_FOR_SEGMENT );
 
-  _Objects_Open( &_Region_Information, &the_region->Object, name );
+  _Objects_Open( &_Region_Information, &the_region->Object, &name );
 
   *id = the_region->Object.id;
@@ -137,5 +140,5 @@
 
 rtems_status_code rtems_region_ident(
-  Objects_Name  name,
+  rtems_name    name,
   Objects_Id   *id
 )
@@ -143,5 +146,5 @@
   return _Objects_Name_to_id(
       &_Region_Information,
-      name,
+      &name,
       RTEMS_SEARCH_LOCAL_NODE,
       id
Index: cpukit/rtems/src/regionmp.c
===================================================================
--- cpukit/rtems/src/regionmp.c	(revision da6375babd4c6268c4cfc595c06e89f348831d14)
+++ cpukit/rtems/src/regionmp.c	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
@@ -31,5 +31,5 @@
   Region_MP_Remote_operations  operation,
   Objects_Id                      region_id,
-  Objects_Name                    name,
+  rtems_name                      name,
   Objects_Id                      proxy_id
 )
@@ -290,5 +290,5 @@
     REGION_MP_EXTRACT_PROXY,
     the_thread->Wait.id,
-    (Objects_Name) 0,
+    (rtems_name) 0,
     the_thread->Object.id
   );
Index: cpukit/rtems/src/rtemstimer.c
===================================================================
--- cpukit/rtems/src/rtemstimer.c	(revision da6375babd4c6268c4cfc595c06e89f348831d14)
+++ cpukit/rtems/src/rtemstimer.c	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
@@ -15,4 +15,5 @@
 
 #include <rtems/system.h>
+#include <rtems/support.h>
 #include <rtems/object.h>
 #include <rtems/thread.h>
@@ -38,9 +39,11 @@
 {
   _Objects_Initialize_information(
-     &_Timer_Information,
-     OBJECTS_RTEMS_TIMERS,
-     FALSE,
-     maximum_timers,
-     sizeof( Timer_Control )
+    &_Timer_Information,
+    OBJECTS_RTEMS_TIMERS,
+    FALSE,
+    maximum_timers,
+    sizeof( Timer_Control ),
+    FALSE,
+    RTEMS_MAXIMUM_NAME_LENGTH
   );
 }
@@ -63,5 +66,5 @@
 
 rtems_status_code rtems_timer_create(
-  Objects_Name  name,
+  rtems_name    name,
   Objects_Id   *id
 )
@@ -69,5 +72,5 @@
   Timer_Control *the_timer;
 
-  if ( !_Objects_Is_name_valid( name ) )
+  if ( !rtems_is_name_valid( name ) )
     return ( RTEMS_INVALID_NAME );
 
@@ -83,5 +86,5 @@
   the_timer->the_class = TIMER_DORMANT;
 
-  _Objects_Open( &_Timer_Information, &the_timer->Object, name );
+  _Objects_Open( &_Timer_Information, &the_timer->Object, &name );
 
   *id = the_timer->Object.id;
@@ -108,5 +111,5 @@
 
 rtems_status_code rtems_timer_ident(
-  Objects_Name  name,
+  rtems_name    name,
   Objects_Id   *id
 )
@@ -114,5 +117,5 @@
   return _Objects_Name_to_id(
     &_Timer_Information,
-    name,
+    &name,
     RTEMS_SEARCH_LOCAL_NODE,
     id
Index: cpukit/rtems/src/sem.c
===================================================================
--- cpukit/rtems/src/sem.c	(revision da6375babd4c6268c4cfc595c06e89f348831d14)
+++ cpukit/rtems/src/sem.c	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
@@ -28,4 +28,5 @@
 
 #include <rtems/system.h>
+#include <rtems/support.h>
 #include <rtems/attr.h>
 #include <rtems/config.h>
@@ -57,8 +58,10 @@
   _Objects_Initialize_information(
     &_Semaphore_Information,
-     OBJECTS_RTEMS_SEMAPHORES,
+    OBJECTS_RTEMS_SEMAPHORES,
     TRUE,
     maximum_semaphores,
-    sizeof( Semaphore_Control )
+    sizeof( Semaphore_Control ),
+    FALSE,
+    RTEMS_MAXIMUM_NAME_LENGTH
   );
 }
@@ -84,5 +87,5 @@
 
 rtems_status_code rtems_semaphore_create(
-  Objects_Name        name,
+  rtems_name          name,
   unsigned32          count,
   rtems_attribute  attribute_set,
@@ -92,5 +95,5 @@
   register Semaphore_Control *the_semaphore;
 
-  if ( !_Objects_Is_name_valid( name ) )
+  if ( !rtems_is_name_valid( name ) )
     return ( RTEMS_INVALID_NAME );
 
@@ -148,5 +151,5 @@
                             attribute_set, STATES_WAITING_FOR_SEMAPHORE );
 
-  _Objects_Open( &_Semaphore_Information, &the_semaphore->Object, name );
+  _Objects_Open( &_Semaphore_Information, &the_semaphore->Object, &name );
 
   *id = the_semaphore->Object.id;
@@ -182,10 +185,10 @@
 
 rtems_status_code rtems_semaphore_ident(
-  Objects_Name  name,
+  rtems_name    name,
   unsigned32    node,
   Objects_Id   *id
 )
 {
-  return( _Objects_Name_to_id( &_Semaphore_Information, name, node, id ) );
+  return( _Objects_Name_to_id( &_Semaphore_Information, &name, node, id ) );
 }
 
Index: cpukit/rtems/src/semmp.c
===================================================================
--- cpukit/rtems/src/semmp.c	(revision da6375babd4c6268c4cfc595c06e89f348831d14)
+++ cpukit/rtems/src/semmp.c	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
@@ -32,5 +32,5 @@
   Semaphore_MP_Remote_operations  operation,
   Objects_Id                      semaphore_id,
-  Objects_Name                    name,
+  rtems_name                      name,
   Objects_Id                      proxy_id
 )
@@ -287,5 +287,5 @@
     SEMAPHORE_MP_EXTRACT_PROXY,
     the_thread->Wait.id,
-    (Objects_Name) 0,
+    (rtems_name) 0,
     the_thread->Object.id
   );
Index: cpukit/rtems/src/taskmp.c
===================================================================
--- cpukit/rtems/src/taskmp.c	(revision da6375babd4c6268c4cfc595c06e89f348831d14)
+++ cpukit/rtems/src/taskmp.c	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
@@ -32,5 +32,5 @@
   RTEMS_tasks_MP_Remote_operations operation,
   Objects_Id                       task_id,
-  Objects_Name                     name
+  rtems_name                       name
 )
 {
Index: cpukit/rtems/src/tasks.c
===================================================================
--- cpukit/rtems/src/tasks.c	(revision da6375babd4c6268c4cfc595c06e89f348831d14)
+++ cpukit/rtems/src/tasks.c	(revision 3235ad9a2cd717df901853ad5220a4aaffae84a9)
@@ -15,4 +15,5 @@
 
 #include <rtems/system.h>
+#include <rtems/support.h>
 #include <rtems/modes.h>
 #include <rtems/object.h>
@@ -49,5 +50,5 @@
 
 rtems_status_code rtems_task_create(
-  Objects_Name         name,
+  rtems_name           name,
   rtems_task_priority  initial_priority,
   unsigned32           stack_size,
@@ -63,5 +64,5 @@
   rtems_attribute          the_attribute_set;
 
-  if ( !_Objects_Is_name_valid( name ) )
+  if ( !rtems_is_name_valid( name ) )
     return ( RTEMS_INVALID_NAME );
 
@@ -157,5 +158,5 @@
   _ASR_Initialize( &the_thread->Signal );
 
-  _Objects_Open( &_Thread_Information, &the_thread->Object, name );
+  _Objects_Open( &_Thread_Information, &the_thread->Object, &name );
 
   *id = the_thread->Object.id;
@@ -193,5 +194,5 @@
 
 rtems_status_code rtems_task_ident(
-  Objects_Name  name,
+  rtems_name    name,
   unsigned32    node,
   Objects_Id   *id
@@ -199,5 +200,5 @@
 {
   if ( name != OBJECTS_ID_OF_SELF )
-    return( _Objects_Name_to_id( &_Thread_Information, name, node, id ) );
+    return( _Objects_Name_to_id( &_Thread_Information, &name, node, id ) );
 
   *id = _Thread_Executing->Object.id;
